Paycose Docs
Subscription
POST/subscriptions/{subscription_id}/report_usage

Report Usage

Body — ReportUsageSubscriptionDTO: product_id, value (> 0).

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/subscriptions/{{subscription_id}}/report_usage' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -d '{
  "product_id": "{{product_id}}",
  "value": 1
}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Body

NameTypeValue
product_idstring{{product_id}}
valuenumber1
{
  "product_id": "{{product_id}}",
  "value": 1
}

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "message": "<string>"
}
400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page